/**
 * @license
 * Copyright ASW (A Software World) All Rights Reserved.
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file
 */
import { ElementRef } from '@angular/core';
import { CropperPosition, CropperSettings, Dimensions, MoveStart } from '@asoftwareworld/form-builder-pro/api';
import * as i0 from "@angular/core";
export declare class CropperPositionService {
    resetCropperPosition(sourceImage: ElementRef, cropperPosition: CropperPosition, settings: CropperSettings): void;
    move(event: any, moveStart: MoveStart, cropperPosition: CropperPosition): void;
    resize(event: any, moveStart: MoveStart, cropperPosition: CropperPosition, maxSize: Dimensions, settings: CropperSettings): void;
    checkAspectRatio(position: string, cropperPosition: CropperPosition, maxSize: Dimensions, settings: CropperSettings): void;
    getClientX(event: any): number;
    getClientY(event: any): number;
    static ɵfac: i0.ɵɵFactoryDeclaration<CropperPositionService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<CropperPositionService>;
}
